%define enable_japanese 1

Summary: A text formatting package based on SGML.
Name: sgml-tools
Obsoletes: linuxdoc-sgml
Version: 1.0.9
Release: 8j1
Copyright: freeware.  See COPYRIGHT file.
Group: Applications/Publishing
Source: http://www.consultronics.com/~cdegroot/sgmltools/dist/%{name}-%{version}.tar.gz
Patch: sgml-tools-1.0.6-letter.patch
Patch1: sgml-tools-1.0.9-egcs.patch
Patch2: sgml-tools-1.0.9-fixsgml2latex.patch
Patch3: sgml-tools-1.0.9-fixconfigure.patch
Patch4: sgml-tools-deprotoize.patch
Patch5: sgml-tools-buildroot.patch
Patch6: sgml-tools-manfix.patch
Patch10: http://www.linux.or.jp/JF/workshop/archives/sgml-tools-1.0.9j.diff.gz
Requires: jade
Url: http://www.sgmltools.org
Buildroot: /var/tmp/%{name}-root

%description
SGMLtools is a text formatting package based on SGML (Standard
Generalized Markup Language).  SGMLtools allows you to produce LaTeX,
HTML, GNU info, LyX, RTF, plain text (via groff), and other format
outputs from a single SGML source.  SGMLtools is intended for writing
technical software documentation.

%prep
%setup
%patch -p1
%patch1 -p1 -b .egcs
%patch2 -p1 -b .fixsgml2latex
%patch3 -p1 -b .fixconfigure
%patch4 -p1 -b .broken
%patch5 -p1 -b .buildroot
%patch6 -p1 -b .manfix
%if %{enable_japanese}
%patch10 -p1
%endif

%build
autoconf
cd sgmls-1.1
for foo in * ; do 
	sed "s|VOID|void|g ; s|UNIV|void *|g" $foo > $foo.new 
	cat $foo.new > $foo
	rm -f $foo.new
done
cd ..

%configure --with-installed-nsgmls --libdir=/usr/lib/sgml-tools \
	--datadir=/usr/lib
  
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT/usr/lib/sgml-tools \
	datadir=$RPM_BUILD_ROOT/usr/lib
 strip $RPM_BUILD_ROOT/usr/bin/* || :

find $RPM_BUILD_ROOT/usr/bin -type f -o -type l | \
	grep -v nsgmls | sed "s|$RPM_BUILD_ROOT||g" > file.list

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list
%defattr (-,root,root)
%doc doc/*
/usr/lib/sgml-tools
/usr/lib/perl5/Text/EntityMap.pm
/usr/lib/entity-map
/usr/lib/sgml
%{_mandir}/*/*

%changelog
* Thu Aug 03 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese macro
- Rebuild for 7.0J beta

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- fix man page for sgml2txt (#10722)

* Sat Jun  3 2000 Bill Nottingham <notting@redhat.com>
- apparently this can't deal with FHS

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- hey, it's self-hosting now!

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- add copyright file (#8621)
- fix sgml2latex processing (#4114)
- fix configure tests (#6480)

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- get rid of "CC=egcs"
- require jade - sgml2html calls nsgmls.

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- resurrect package in a non-conflicting manner

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- we aren't going to 2.0.x for 6.0, using 1.0.9 instead (more stable)

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.0.7

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>
- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml

